cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/movies/settings/search-cutoff-ms' \
-H 'Authorization: Bearer API_KEY'client.index('movies').getSearchCutoffMs()$client->index('movies')->getSearchCutoffMs();client.index('movies').get_search_cutoff_ms()client.index("movies").getSearchCutoffMsSettings();client.index('movies').search_cutoff_msclient.Index("movies").GetSearchCutoffMs()var searchCutoff = await client.Index("movies").GetSearchCutoffMsAsync();let search_cutoff_ms: String = client
.index("movies")
.get_search_cutoff_ms()
.await
.unwrap();let precisionValue = try await self.client.index("books").getSearchCutoffMs()1{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Search cutoff
Get searchCutoffMs
Returns the current value of the searchCutoffMs setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
search-cutoff-ms
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/movies/settings/search-cutoff-ms' \
-H 'Authorization: Bearer API_KEY'client.index('movies').getSearchCutoffMs()$client->index('movies')->getSearchCutoffMs();client.index('movies').get_search_cutoff_ms()client.index("movies").getSearchCutoffMsSettings();client.index('movies').search_cutoff_msclient.Index("movies").GetSearchCutoffMs()var searchCutoff = await client.Index("movies").GetSearchCutoffMsAsync();let search_cutoff_ms: String = client
.index("movies")
.get_search_cutoff_ms()
.await
.unwrap();let precisionValue = try await self.client.index("books").getSearchCutoffMs()1{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({ host: 'MEILISEARCH_URL', apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1' });
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the searchCutoffMs setting.
The response is of type integer<u-int64>.
Required range:
x >= 0Was this page helpful?